Closed Bug 544170 Opened 10 years ago Closed 9 years ago

[SeaMonkey 2.1] mochitest-a11y: tree/test_tabbrowser.xul fails, due to "tabbrowser API" dependencies and different application UIs

Categories

(Core :: Disability Access APIs, defect, major)

defect
Not set
major

Tracking

()

VERIFIED FIXED
mozilla5
Tracking Status
blocking2.0 --- Macaw+
status2.0 --- .1-fixed

People

(Reporter: sgautherie, Assigned: sgautherie)

References

(Depends on 1 open bug, Blocks 2 open bugs, )

Details

(Whiteboard: [perma-orange])

Attachments

(3 files, 1 obsolete file)

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20100203 SeaMonkey/2.1a1pre] (home, optim default) (W2Ksp4)
{
12764 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/a11y/accessible/tree/test_tabbrowser.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - tabBrowser.addProgressListener is not a function at chrome://mochikit/content/a11y/accessible/tree/test_tabbrowser.xul:62
}
Keywords: access
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1265319973.1265321945.10606.gz
Linux comm-central-trunk debug test mochitest-other on 2010/02/04 13:46:13

Fwiw, not reported on our (only) tinderbox.
Summary: [SeaMonkey 2.1] mochitest-a11y: test_tabbrowser.xul fails → [SeaMonkey 2.1] mochitest-a11y: test_tabbrowser.xul fails, "tabBrowser.addProgressListener is not a function"
Dependent on bug 467867 in same way?
At least, this test is binded with Firefox chrome://browser/content/browser.css only,
and misses SeaMonkey binding, like it was the case in some other bug which was fixed like that.
(In reply to comment #1)
> Linux comm-central-trunk debug test mochitest-other on 2010/02/04 13:46:13

Oh, mochitest-other: I checked the wrong builder!

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1270921688.1270923345.6876.gz
Linux comm-central-trunk debug test mochitest-other on 2010/04/10 10:48:08
has it too.
OS: Windows 2000 → All
Hardware: x86 → All
OK, from the looks I too on all that, I think that bug 467867 would really solve this. Still, I wonder if a11y tests should work with features so specific to a certain tabbrowser implementation.

Still, it looks like being on par with Firefox in the case of available listeners would be a good way for SeaMonkey in terms of add-on compat as well. Neil, what's your thoughts about doing this? Can/should we do that? If yes, who is able to do it?
This fixes comment 0 error :-)

Yet, this doesn't fix this test yet, I get 2 (new) errors in the console.
But I prefer to investigate that separately.
Attachment #438287 - Flags: review?(surkov.alexander)
Depends on: 558589
(In reply to comment #4)
> Oh, mochitest-other: I checked the wrong builder!

Forget that: I don't know why it wasn't reported initially, but anyway...


(In reply to comment #5)

> OK, from the looks I too on all that, I think that bug 467867 would really

The new/future errors are very probably related to that bug...

> solve this. Still, I wonder if a11y tests should work with features so specific
> to a certain tabbrowser implementation.

I filed bug 558589 about that.

> Still, it looks like being on par with Firefox in the case of available
> listeners would be a good way for SeaMonkey in terms of add-on compat as well.

Did you mean what my patch Av1 is doing, or something more?
(In reply to comment #7)
> Did you mean what my patch Av1 is doing, or something more?

Oh, duh, if that's the only problem, this is way too easy compared to what I was thinking about! ;-)

I thought there was something in terms of actual tabbrowser.xml API differences, I remember I saw something there in terms of listeners or such, but that might have been way deeper down in that code. ;-)
Comment on attachment 438287 [details] [diff] [review]
(Av1) Bind chrome://navigator/content/navigator.css for SeaMonkey
[Checkin: Comment 10]

r=me, thank you
Attachment #438287 - Flags: review?(surkov.alexander) → review+
Comment on attachment 438287 [details] [diff] [review]
(Av1) Bind chrome://navigator/content/navigator.css for SeaMonkey
[Checkin: Comment 10]


http://hg.mozilla.org/mozilla-central/rev/3185f41673a5
Attachment #438287 - Attachment description: (Av1) Bind chrome://navigator/content/navigator.css for SeaMonkey. → (Av1) Bind chrome://navigator/content/navigator.css for SeaMonkey [Checkin: Comment 10]
Depends on: 558614
The new errors are
{
Error: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIWebNavigation.sessionHistory]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://global/content/bindings/browser.xml ::  :: line 641"  data: no]
Source File: chrome://global/content/bindings/browser.xml
Line: 647

Error: tabBrowser.loadTabs is not a function
Source File: chrome://mochikit/content/a11y/accessible/tree/test_tabbrowser.xul
Line: 63
}

I'll have to see about the former...
I filed bug 558614 about the latter!
Summary: [SeaMonkey 2.1] mochitest-a11y: test_tabbrowser.xul fails, "tabBrowser.addProgressListener is not a function" → [SeaMonkey 2.1] mochitest-a11y: test_tabbrowser.xul fails, due to "tabbrowser API" dependencies
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1283055773.1283058197.12882.gz&fulltext=1
Linux comm-central-trunk debug test mochitest-other on 2010/08/28 21:22:53

New error is
{
13802 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/a11y/accessible/tree/test_tabbrowser.xul | Different amount of expected children of [ 'tabs node' , role: pagetablist]. - got 4, expected 3
}
Summary: [SeaMonkey 2.1] mochitest-a11y: test_tabbrowser.xul fails, due to "tabbrowser API" dependencies → [SeaMonkey 2.1] mochitest-a11y: tree/test_tabbrowser.xul fails, due to "tabbrowser API" dependencies
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1300038585.1300041443.13407.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2011/03/13 10:49:45
{
18603 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/tree/test_tabbrowser.xul | Different amount of expected children of [ 'tabs node' , role: pagetablist, address: 0xa21eb58]. - got 5, expected 3
}
Depends on: 535893
Assignee: nobody → sgautherie.bz
Status: NEW → ASSIGNED
Keywords: access
Summary: [SeaMonkey 2.1] mochitest-a11y: tree/test_tabbrowser.xul fails, due to "tabbrowser API" dependencies → [SeaMonkey 2.1] mochitest-a11y: tree/test_tabbrowser.xul fails, due to "tabbrowser API" dependencies and different application UIs
Whiteboard: [perma-orange]
Green (suite) at last! :-)

NB: I noticed a few unrelated code/visual issues, which I'll file as separate bugs...
Attachment #520058 - Flags: review?(surkov.alexander)
Attachment #520058 - Flags: feedback?(neil)
Blocks: 642626
Comment on attachment 520058 [details] [diff] [review]
(Bv1) Add support for SeaMonkey UI, Enhance checks for Firefox UI

>+      if (navigator.userAgent.match(/ SeaMonkey\//)) {
For autocomplete I know we looked for a method or property that only existed in one binding; restoreTab might work for instance.
Attachment #520058 - Flags: feedback?(neil) → feedback+
Bv1, with comment 15 suggestion(s),
with added removeProgressListener(), so for example I can manually click on tabs safely (with SeaMonkey).
Attachment #520058 - Attachment is obsolete: true
Attachment #520203 - Flags: review?(surkov.alexander)
Attachment #520058 - Flags: review?(surkov.alexander)
Comment on attachment 520203 [details] [diff] [review]
(Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener()
[Checked in: Comment 18 & 28]

r=me, thanks for doing this.
Attachment #520203 - Flags: review?(surkov.alexander) → review+
Comment on attachment 520203 [details] [diff] [review]
(Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener()
[Checked in: Comment 18 & 28]

http://hg.mozilla.org/mozilla-central/rev/f2a9a79139fc
Attachment #520203 - Attachment description: (Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener() → (Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener() [Checked in: Comment 18]
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → mozilla2.0
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1300715907.1300717061.10192.gz&fulltext=1
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2011/03/21 06:58:27
{
18659 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tree/test_tabbrowser.xul | Testing Firefox tabbrowser UI.
}

V.Fixed, Firefox part.
SimpleTest.executeSoon() isn't required, but it seems cleaner to get out of the progress listener before running the actual checks.
Use 20 '/'s, as I did in test_txtctrl.xul.
Attachment #520639 - Flags: review?(surkov.alexander)
Comment on attachment 520639 [details] [diff] [review]
(Cv1) Add SimpleTest.executeSoon() fwiw
[Checked in: Comment 23 & 29]

no reason to say no
Attachment #520639 - Flags: review?(surkov.alexander) → review+
(In reply to comment #14)
> NB: I noticed a few unrelated code/visual issues, which I'll file as separate
> bugs...

I filed bug 642626, bug 643430, bug 643431, bug 643434, bug 643436.
Comment on attachment 520639 [details] [diff] [review]
(Cv1) Add SimpleTest.executeSoon() fwiw
[Checked in: Comment 23 & 29]

http://hg.mozilla.org/mozilla-central/rev/a7346f028fd6
Attachment #520639 - Attachment description: (Cv1) Add SimpleTest.executeSoon() fwiw → (Cv1) Add SimpleTest.executeSoon() fwiw [Checked in: Comment 23]
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1300740966.1300748042.28137.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2011/03/21 13:56:06
{
18756 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tree/test_tabbrowser.xul | Testing SeaMonkey tabbrowser UI.
}

V.Fixed, SeaMonkey part.
Status: RESOLVED → VERIFIED
Target Milestone: mozilla2.0 → mozilla2.2
Comment on attachment 520203 [details] [diff] [review]
(Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener()
[Checked in: Comment 18 & 28]

"approval2.0=?":
test-only, SM perma-orange fix.
Attachment #520203 - Flags: approval2.0?
Comment on attachment 520639 [details] [diff] [review]
(Cv1) Add SimpleTest.executeSoon() fwiw
[Checked in: Comment 23 & 29]

"approval2.0=?":
test-only, just to go along the rest of this bug, fwiw.
Attachment #520639 - Flags: approval2.0?
Attachment #520639 - Flags: approval2.0? → approval2.0+
Comment on attachment 520203 [details] [diff] [review]
(Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener()
[Checked in: Comment 18 & 28]

Approved for the mozilla2.0 repository, a=dveditz for release-drivers

dbolter: please leave stable-branch approvals to the release-drivers team.
Attachment #520203 - Flags: approval2.0? → approval2.0+
blocking2.0: --- → Macaw
status2.0: --- → wanted
Comment on attachment 520203 [details] [diff] [review]
(Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener()
[Checked in: Comment 18 & 28]

http://hg.mozilla.org/releases/mozilla-2.0/rev/2b9aa315fd30
Attachment #520203 - Attachment description: (Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener() [Checked in: Comment 18] → (Bv1a) Add support for SeaMonkey tabbrowser UI, Extend existing checks (for Firefox tabbrowser UI), Call removeProgressListener() [Checked in: Comment 18 & 28]
Comment on attachment 520639 [details] [diff] [review]
(Cv1) Add SimpleTest.executeSoon() fwiw
[Checked in: Comment 23 & 29]

http://hg.mozilla.org/releases/mozilla-2.0/rev/5b4eed81e78a
Attachment #520639 - Attachment description: (Cv1) Add SimpleTest.executeSoon() fwiw [Checked in: Comment 23] → (Cv1) Add SimpleTest.executeSoon() fwiw [Checked in: Comment 23 & 29]
Blocks: 647316
You need to log in before you can comment on or make changes to this bug.